Package com.sas.lsaf.query.repository.recyclebin

## Class RecycleBinItemQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.repository.recyclebin.RecycleBinItemQuery

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `RecycleBinContainerQuery`, `RecycleBinFileQuery`, `RecycleBinFileVersionQuery`

      public class RecycleBinItemQuery
      extends Query

  The class that represents individual items that have been deleted and are located in the recycle bin.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` | The value that represents all columns in `RecycleBinItemQuery`.
    `static Column` | `DELETED_BY` | The column that represents the userid of the user who deleted the repository item.
    `static Column` | `DELETED_DATE` | The column that represents the date and time on which the repository item was deleted.
    `static Column` | `ID` | The column that represents the unique identifier of the repository item.
    `static Column` | `LAST_MODIFIED` | The column that represents the date and time on whichn the repository item was last modified.
    `static Column` | `LAST_MODIFIED_BY` | The column that represents the userid of the user who last modified the repository item.
    `static Column` | `PATH` | The column that represents the name of the repository item.
    `static Column` | `TOTAL_CONTAINER_SIZE` | The column that represents the total size (in bytes) of a container, which includes all versions of all files in the container and below, if the repository item is a container.
    `static Column` | `TOTAL_FILE_SIZE` | The column that represents the total size (in bytes) of a file, which includes all versions of the file if versioned, if the repository item is a file.
    `static Column` | `TYPE_ID` | The column that represents the type id of the repository item.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecycleBinItemQuery()` |

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final Column ID

      The column that represents the unique identifier of the repository item. It is the same identifier in the repository as it is in the recycle bin.

    - #### TYPE_ID

          public static final Column TYPE_ID

      The column that represents the type id of the repository item. See `TypeConstants` for the list of type ids.

      Note: When searching for items of abstract type `TypeConstants.TYPE_FILE`, all of the file types are returned, which include the following file types. These types can also be searched individually.

      - `TypeConstants.TYPE_SAS_DATASET`
      - `TypeConstants.TYPE_SAS_PROGRAM`
      - `TypeConstants.TYPE_JOB`
      - `TypeConstants.TYPE_PDF`

    - #### PATH

          public static final Column PATH

      The column that represents the name of the repository item.

    - #### DELETED_BY

          public static final Column DELETED_BY

      The column that represents the userid of the user who deleted the repository item.

    - #### DELETED_DATE

          public static final Column DELETED_DATE

      The column that represents the date and time on which the repository item was deleted.

    - #### LAST_MODIFIED_BY

          public static final Column LAST_MODIFIED_BY

      The column that represents the userid of the user who last modified the repository item.

    - #### LAST_MODIFIED

          public static final Column LAST_MODIFIED

      The column that represents the date and time on whichn the repository item was last modified.

    - #### TOTAL_FILE_SIZE

          public static final Column TOTAL_FILE_SIZE

      The column that represents the total size (in bytes) of a file, which includes all versions of the file if versioned, if the repository item is a file. This column is blank for repository containers.

    - #### TOTAL_CONTAINER_SIZE

          public static final Column TOTAL_CONTAINER_SIZE

      The column that represents the total size (in bytes) of a container, which includes all versions of all files in the container and below, if the repository item is a container. This column is blank for repository files.

    - #### ALL

          public static final java.util.List<Column> ALL

      The value that represents all columns in `RecycleBinItemQuery`.

  - ### Constructor Detail

    - #### RecycleBinItemQuery

          public RecycleBinItemQuery()